# Get a Workstream
Source: https://docs.simpleserve.ai/docs/api-reference/workstreams/get-workstreams-workstream_id

Method: GET /v1/workstreams/{workstream_id}
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/v1/workstreams/{workstream_id}",
  "method": "GET",
  "tags": [
    "Workstreams"
  ],
  "operationId": "getWorkstream",
  "summary": "Get a Workstream",
  "parameters": [
    {
      "$ref": "#/components/parameters/WorkstreamId"
    }
  ],
  "responses": {
    "200": {
      "description": "The requested Workstream.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Workstream"
          }
        }
      }
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "429": {
      "$ref": "#/components/responses/RateLimited"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}
```